Update a Payable

Update an existing Payable.

šŸ This endpoint's rate limit is 100 calls per minute.

Path Params
uuid
required

The ID for the resource being accessed.

Body Params

The payload for updating one or more properties of a Payable of type: ach.

uuid
required

The ID of the Team Member performing this action. This will be displayed in the Routable Dashboard and outbound email notifications.

string

The total amount for this Payable, in the currency defined in currency_code.

attachments
array of objects
attachments
string

The bill number for this item. If you have integrated your accounting software, this will match the bill number in that application.

string
enum
length between 3 and 3
Defaults to USD

An ISO 4217 currency code. Only currencies currently supported by Routable are available.

date

The date by which the invoice must be paid.

string | null

An external ID you have assigned to this Payable - for example, an invoice or payment ID from your application.

date

The date on which the invoice was issued.

ledger

Fields specific to your accounting suite integration. Sage Intacct users should omit this field.

line_items
array
length ≄ 1

An array of line items on the Payable. If you don't wish to make any changes to the Payable's line items, omit this value from your payload entirely.

If you send line_items on the payload:

  • To keep a single line item unchanged: Include a JSON object in the array containing just the line item's ID.
  • To add a new line item: Include a JSON object in the array, without an ID, containing all of the required properties for a line item. See the Create Payable documentation for more details.
  • To edit a line item: Include a JSON object in the array, with the line item's ID, and any line item properties you wish to change. See the Create Payable documentation for a list of available properties.
  • To delete a line item: Submit a payload which includes a line_items array, but omit the line item from the array submitted. You may not delete the last line item on a Payable.
line_items
string

A custom message to include in the email to the vendor.

uuid

The Company ID to pay.

string

This field is used as an additional reference number for the item when Routable is not integrated with your accounting software. If you have integrated your accounting software with Routable, this field is not used.

date | null

The date that the Payable should be sent in Pacific Time.

  • When set to today, the Payable will be sent immediately.
  • When set to null, the Payable will be put in a ready_to_send status.
  • When set to a date in the future, the Payable will be scheduled for a future date. No email communications will go out until that date.
integer
required
≄ 1

The Payable's current version. The version is incremented each time the Payable is changed, starting at 1 when it is created. Submit the current version number in update payloads; the incrementation occurs server-side.

uuid

The Account ID to withdraw from.

string
enum

The Payable delivery method option. Different selections here will incur different fees.' Note that for ach_next_day and ach_same_day Payables, cut-off times apply. If a Payable is created after the cut-off time when ach_same_day or ach_next_day is selected as a delivery_method, the Payable will be scheduled as if it had been created on the following business day.

Allowed:
uuid

The Payment Method ID to pay.

string
enum
required
Allowed:
type_details
object
Headers
string
length between 1 and 128

An idempotency key to prevent duplicate requests. All requests with the same key will be considered attempts for the same request.

These keys are stored for a period of 24 hours. To ensure these keys are sufficiently tied to a request, we recommend either storing generated idempotency keys alongside your payment data, or using a hash of the request JSON itself to generate your idempotency key.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json